Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1893060 - Please build boost iostreams library with lzma compression support
Summary: Please build boost iostreams library with lzma compression support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Wakely
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-30 01:00 UTC by Hedayat Vatankhah
Modified: 2020-11-05 12:43 UTC (History)
3 users (show)

Fixed In Version: boost-1.73.0-8.fc33
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 03:02:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Hedayat Vatankhah 2020-10-30 01:00:48 UTC
Description of problem:
Apparently, the boost package in Fedora is compiled without lzma support in its iostreams library. While the /boost/iostreams/filter/lzma.hpp  header is installed, the libboost_iostreams library is compiled without lzma support, so you'll get undefined reference errors when you try to use lzma filters. Please add support for them too.

Comment 1 Jonathan Wakely 2020-10-30 14:28:20 UTC
An update for rawhide is building now.

The boost-iostreams package now Requires: xz, but I didn't not make boost-devel require xz-devel. It seems reasonable to expect that users install the xz-devel package if they want to use those features. But if they don't want to use them, there is no need to install xz-devel. The rest of the Boost headers work fine without the xz headers.

Comment 2 Jonathan Wakely 2020-10-30 21:33:29 UTC
There's now an update for Fedora 33:

https://bodhi.fedoraproject.org/updates/FEDORA-2020-17d80ec54f

Soon you'll be able to install it and test it with:

  dnf --enablerepo=updates-testing update boost-iostreams

Please leave feedback at the URL above if it works for you.

Comment 3 Fedora Update System 2020-10-31 18:24:13 UTC
FEDORA-2020-17d80ec54f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-17d80ec54f

Comment 4 Fedora Update System 2020-11-04 03:02:11 UTC
FEDORA-2020-17d80ec54f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Hedayat Vatankhah 2020-11-05 12:43:30 UTC
Thanks :)


Note You need to log in before you can comment on or make changes to this bug.